For the complete documentation index, see llms.txt. This page is also available as Markdown.

Environments

get

Lists all environments

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Responses
200

Happy response.

application/json

Contains a list of Environments.

get/v1/environments
post

Creates a new environment.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Body
namestring · hq-resource-name · min: 1 · max: 63Required

Sets the name of the new environment. It must be a valid HQ resource name: it can only contain lowercase alphanumeric characters or hyphens; hyphens cannot appear at the end or start; the length is 63 characters at most.

display_namestring · min: 1 · max: 150Optional

Sets the display name of the new environment. If not provided, the value of "name" will be used.

tierstring · enumRequired

Enumerates Tiers.

Possible values:
Responses
201

Happy response.

application/json

Represents a Lenses Instance, somewhere.

namestringRequired
display_namestringRequired
lrnstringRequired

Contains the resource identifier for use in access control policies.

idstringRequired
created_atstring · date-timeRequired
tierstring · enumRequired

Enumerates Tiers.

Possible values:
agent_keystringRequired
post/v1/environments
get

Retrieves a single environment by name.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
namestringRequired
Responses
200

Happy response.

application/json

Represents a Lenses Instance, somewhere.

namestringRequired
display_namestringRequired
lrnstringRequired

Contains the resource identifier for use in access control policies.

idstringRequired
created_atstring · date-timeRequired
tierstring · enumRequired

Enumerates Tiers.

Possible values:
get/v1/environments/{name}
patch

Updates an environment.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
namestringRequired
Body
tierstring · enumOptional

Enumerates Tiers.

Possible values:
display_namestring · min: 1 · max: 150Optional

Updates the display name of the environment.

Responses
200

Happy response.

application/json

Represents a Lenses Instance, somewhere.

namestringRequired
display_namestringRequired
lrnstringRequired

Contains the resource identifier for use in access control policies.

idstringRequired
created_atstring · date-timeRequired
tierstring · enumRequired

Enumerates Tiers.

Possible values:
patch/v1/environments/{name}
delete

Deletes an environment.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
namestringRequired
Responses
204

Successful deletion.

No content

delete/v1/environments/{name}

No content

get

Provides Server-Sent Events (SSE) for environment updates. TODO.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Responses
default

Error object.

application/json

Implements the RFC7807 "Problem Details", see https://www.rfc-editor.org/rfc/rfc7807.

typestring · enumOptional

Enumerates possible error types.

Possible values:
titlestringRequired

Describes the problem in a human readable fashion.

statusintegerRequired

Is a copy of the http status code.

sso_urlstringOptional

Contains in case of an "unauthorised" type of error, the url of the SSO provider, if any.

request_idstringOptional

Is set to the id of this request. Can be used to correlate backend logs.

get/v1/environments/live/sse
default

Error object.

get

Proxies HTTP to a Lenses instance. Note: this is not a regular HTTP API endpoint. The path specified here is a prefix. Everything beneath it gets proxied to the corresponding Lenses instance. Any request body and method (the GET here is only a placeholder) are accepted, as long as the Lenses API accepts it. The connection can even be upgraded to a websocket. The status code and response body are controlled by the Lenses API. This concept does not fit into the OpenAPI world at all; this definition is only here for the sake of documentation to avoid having an undocumented dark matter API.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
namestringRequired
Responses
default

Error object.

application/json

Implements the RFC7807 "Problem Details", see https://www.rfc-editor.org/rfc/rfc7807.

typestring · enumOptional

Enumerates possible error types.

Possible values:
titlestringRequired

Describes the problem in a human readable fashion.

statusintegerRequired

Is a copy of the http status code.

sso_urlstringOptional

Contains in case of an "unauthorised" type of error, the url of the SSO provider, if any.

request_idstringOptional

Is set to the id of this request. Can be used to correlate backend logs.

get/v1/environments/{name}/proxy/
default

Error object.

Last updated

Was this helpful?